#
# Copyright (c) 2020 Carsten Igel.
#
# This file is part of pykiq
# (see https://github.com/carstencodes/pykiq).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
"""A simple python module for the object oriented access to sidekiq jobs.
"""
from .connector import Connector
from .base import NamedObject
from .job import Job, JobId
from .sidekiq import Sidekiq, SidekiqQueue

__all__ = [
    "Connector",
    "Job",
    "JobId",
    "Sidekiq",
    "SidekiqQueue",
    "NamedObject",
]
